diff -Naur Doomsday Data Files.old/db/events/hungary.txt Doomsday Data Files/db/events/hungary.txt
--- Doomsday Data Files.old/db/events/hungary.txt	2008-01-20 10:40:40.000000000 +0100
+++ Doomsday Data Files/db/events/hungary.txt	2008-01-20 10:49:03.000000000 +0100
@@ -355,6 +354,1277 @@
 		command = { type = trigger which = 2726 } #Romania victorious over Hungary
 	}
 }
+#########################################################################
+#  Exploiting the Situation (Yugoslavia)
+#########################################################################
+event = {
+	id = 2727
+	random = no
+	country = HUN
+
+	name = "Invasion"
+	desc = "Following the declaration of war on Yugoslavia by Germany, there were some who believed now was the time to intervene and get the pre-Trianon land back, but intervene to what extent?"
+	style = 0
+	picture = "hungarian_tank"
+
+	trigger = {
+                war = { country = GER country = YUG }		
+                NOT = {
+                        alliance = { country = HUN country = GER }			
+                        war = { country = HUN country = GER  }
+                        war = { country = HUN country = YUG  }
+                        war = { country = HUN country = SOV  }
+		}
+	}
+
+	date = { day = 2 month = january year = 1936 }
+	offset = 1 # Check for trigger conditions day
+	deathdate = { day = 30 month = december year = 1947 }
+
+	action_a = {
+		name = "Let us declare war by ourselves" 
+                command = { type = war which = YUG }	
+                command = { type = trigger which = 2732 } 	
+                command = { type = supplies value = 500 }                
+                command = { type = manpowerpool value = 50 }
+                command = { type = trigger which = 2753 }                
+                command = { type = belligerence which = HUN value = 5 }                
+                command = { type = domestic which = interventionism value = 2 }                 
+	
+        }
+        action_b = {
+		name = "Let us join together with the Germans"
+                command = { type = belligerence which = HUN value = 10 }                
+                command = { type = domestic which = interventionism value = 4 }                
+                command = { type = manpowerpool value = 100 } 
+                command = { type = trigger which = 2732 }                
+                command = { type = supplies value = 500 }                
+                command = { type = dissent value = -5 }                
+                command = { type = war which = YUG }   
+                command = { type = trigger which = 2753 }             
+                command = { type = alliance which = GER }		
+                command = { type = sleepevent which = 2733 }               
+        }	
+        action_c = {
+		name = "Well, that land wasn't really important anyways......"
+                command = { type = domestic which = interventionism value = -5 }                
+                command = { type = belligerence which = HUN value = -5 }                
+                command = { type = dissent value = 20 }		
+        }
+}
+#########################################################################
+#  Status of the Kingdom 
+#########################################################################
+event = {
+	id = 2729
+	country = HUN
+
+	name = "Hungarian Regency"
+	desc = "Following a long period of stability within the Kingdom, the issue of finally solving the legal problems with the monarchy are to be settled. Should Horthy be crowned King, remain as Regent, or should the monarchy be abandoned altogether?"
+	style = 0
+	picture = "hungary"
+
+	trigger = {
+		random = 40
+	        NOT = {
+			war = { country = HUN country = ROM  }
+                        war = { country = HUN country = GER  }                        
+                        war = { country = HUN country = USA  }
+                        war = { country = HUN country = SOV  }
+		}
+	}
+
+	date = { day = 2 month = january year = 1942 }
+	offset = 1 # Check for trigger conditions day
+	deathdate = { day = 30 month = december year = 1947 }
+
+	action_a = {
+		name = "Horthy is doing a good job as Regent....." 
+		command = { }		
+        }
+        action_b = {
+		name = "We must make him our King!"
+                command = { type = belligerence which = HUN value = 2 }                
+                command = { type = supplies value = -500 } #Coronation Ceremony              
+                command = { type = money value = -10 } #Coronation Ceremony             
+                command = { type = domestic which = interventionism value = 2 }                
+                command = { type = dissent value = 5 }		
+                }	
+        action_c = {
+		name = "We've wasted enough time with this monarchy foolishness, a republic we shall be!"
+                command = { type = belligerence which = HUN value = -10 }                 
+                command = { type = domestic which = interventionism value = -4 }                
+                command = { type = dissent value = 5 }		
+        }
+}
+#event 2728, 2730 is now free
+#########################################################################
+#  German Technical Assistance 
+#########################################################################
+event = {
+	id = 2731
+	random = no
+	country = GER
+
+	name = "German assistance"
+	desc = "Following the end of military operations in Europe, Germany settled down to an easy peace. Now the question was, would she help Hungary develop by sharing export-quality equipment and technology?"
+	style = 0
+	picture = "hungarian_tank"
+
+	trigger = {
+                control = { province = 175 data = GER } #Moscow		
+                NOT = {
+                        war = { country = HUN country = GER  }
+                        war = { country = USA country = GER  }
+                        war = { country = SOV country = GER  }
+                        war = { country = ENG country = GER  }
+		}
+	}
 
+	date = { day = 2 month = january year = 1936 }
+	offset = 1 # Check for trigger conditions day
+	deathdate = { day = 30 month = december year = 1947 }
 
+	action_a = {
+		name = "Yes, it's a deal!" 
+                command = { type = trigger which = 2732 }               
+        }
+        action_b = {
+		name = "No, why give away our technology?"
+                command = { type = sleepevent which = 2732 }
+        }	
+}
+#########################################################################
+#  German Technical Assistance 
+#########################################################################
+event = {
+	id = 2732
+	random = no
+	country = HUN
+
+	name = "German assistance"
+	desc = "Following a period of peace in the European theater, the German government now offered technological assistance to Hungary, in return for needed resources and money. This deal, amongst other things, also allowed Hungary to begin developing it's navy."
+	style = 0
+	picture = "hungarian_tank"
+
+	#Triggered by GER 2731
+
+	action_a = {
+		name = "We should take this offer" 
+                command = { type = waketeam which = 1615 }  
+                command = { type = waketeam which = 1616 }    
+                command = { type = waketeam which = 1617 }  
+                command = { type = waketeam which = 1618 }   
+                command = { type = waketeam which = 1619 }     
+                command = { type = trigger which = 182 } 
+                command = { type = sleepevent which = 183 }                 
+                command = { type = manpowerpool value = -100 } #Lots of workers needed                
+                command = { type = dissent value = -5 } #Lots of improvement              
+                command = { type = money value = -50 } #Paid to Germany
+                command = { type = energypool value = -2500 } #Paid to Germany
+                command = { type = metalpool value = -2500 } #Paid to Germany              
+                command = { type = supplies value = -2500 } #Paid to Germany               
+        }
+        action_b = {
+		name = "Perhaps a limited program would be nice"
+                command = { type = waketeam which = 1615 }  
+                command = { type = waketeam which = 1619 } 		
+                command = { type = trigger which = 183 } 
+                command = { type = sleepevent which = 182 }                 
+                command = { type = manpowerpool value = -50 }                
+                command = { type = money value = -20 } #Paid to Germany
+                command = { type = energypool value = -1000 } #Paid to Germany
+                command = { type = metalpool value = -750 } #Paid to Germany              
+                command = { type = supplies value = -1000 } #Paid to Germany               
+                }	
+        action_c = {
+		name = "No, we can't afford it"
+                command = { type = dissent value = 10 }	#Unhappy at passing up this chance
+                command = { type = sleepevent which = 182 }
+                command = { type = sleepevent which = 183 }	
+        }
+}
+#########################################################################
+#  German Technical Assistance (Full Program Accepted)
+#########################################################################
+event = {
+	id = 182
+	random = no
+	country = GER
+        
+        #Triggered by HUN 2732
+	
+        name = "German assistance"
+	desc = "Hungary has accepted the full technological program we've offered, time to collect!"
+	style = 0
+	picture = "hungarian_tank"
+
+	
+	action_a = {
+		name = "Great!" 
+                command = { type = money value = 50 } #Paid to Germany
+                command = { type = energypool value = 2500 } #Paid to Germany
+                command = { type = metalpool value = 2500 } #Paid to Germany              
+                command = { type = supplies value = 2500 } #Paid to Germany                
+        }
+}
+#########################################################################
+#  German Technical Assistance (Limited Program Accepted)
+#########################################################################
+event = {
+	id = 183
+	random = no
+	country = GER
+
+        #Triggered by HUN 2732
+
+	name = "German assistance"
+	desc = "Hungary has accepted a scaled down version of the technological program we've offered, time to collect!"
+	style = 0
+	picture = "hungarian_tank"
+
+	
+	action_a = {
+		name = "Great!" 
+                command = { type = money value = 20 } #Paid to Germany
+                command = { type = energypool value = 1000 } #Paid to Germany
+                command = { type = metalpool value = 750 } #Paid to Germany              
+                command = { type = supplies value = 1000 } #Paid to Germany                
+        }
+}
+#########################################################################
+#  Kassa Bombed
+#########################################################################
+event = {
+	id = 2733
+	random = no
+	country = HUN
+
+	name = "Entry into War"
+	desc = "Historically, the László Bárdossy, the Prime Minister, declared war on the Soviet Union and joined the Axis officially, without consent of Parliament, after the Hungarian towns of Kassa and Munkács were bombed by Soviet aircraft. The commander of the Kassa airfield, meanwhile, testified that he saw German airplanes bombing Kassa with his own eyes, and presented these findings in a letter to the Prime Minister, only to be told to keep it to himself."
+	style = 0
+	picture = "soviet_air"
+
+	trigger = {
+                war = { country = SOV country = GER  }                
+                NOT = {
+                        alliance = { country = HUN country = GER }
+			war = { country = HUN country = GER  }
+                        war = { country = HUN country = ENG  }
+		}
+	}
+
+	date = { day = 2 month = january year = 1936 }
+	offset = 1 # Check for trigger conditions day
+	deathdate = { day = 30 month = december year = 1947 }
+
+	action_a = {
+		name = "Those damn Soviets bombed us!" 
+                command = { type = alliance which = GER }               
+                command = { type = war which = SOV }    
+                command = { type = manpowerpool value = 100 } #Lots of volunteers                
+                command = { type = dissent value = -5 } #Patriotic fervor              
+                command = { type = oilpool value = 500 } #War Reserves              
+                command = { type = supplies value = 500 } #War Reserves                
+        }
+        action_b = {
+		name = "Those damn Germans bombed us!"
+                command = { type = alliance which = ENG }             
+                command = { type = war which = GER }    
+                command = { type = manpowerpool value = 100 } #Lots of volunteers                
+                command = { type = dissent value = -5 } #Patriotic fervor              
+                command = { type = oilpool value = 500 } #War Reserves              
+                command = { type = supplies value = 500 } #War Reserves               
+                }	
+        action_c = {
+		name = "We can't afford to anger either side...."
+                command = { type = dissent value = 10 }	#Nation unhappy over letting this go	
+        }
+}
+#########################################################################
+#  Italian Transfer of Croatian Coastline to Hungary
+#########################################################################
+event = {
+	id = 2734
+	random = no
+	country = ITA
 
+	name = "German assistance"
+	desc = "Following the end of military operations in Europe, the Axis settled down to split up it's conquests, Hungary, for it's valiant service, would receive the port of Fiume"
+	style = 0
+	picture = "hungarian_tank"
+
+	trigger = {
+                alliance = { country = ITA country = GER }                
+                control = { province = 381 data = ITA }
+                control = { province = 384 data = ITA }		
+                NOT = {
+                        war = { country = ITA country = HUN  }
+                        war = { country = ITA country = USA  }
+                        war = { country = ITA country = SOV  }
+                        war = { country = ITA country = ENG  }
+		}
+	}
+        
+        action_a = {
+		name = "Well, they are our allies...." 
+                command = { type = secedeprovince which = HUN value = 381 }
+                command = { type = secedeprovince which = HUN value = 384 } 
+                command = { type = removecore which = 381 }  
+                command = { type = removecore which = 384 } 
+        }
+}
+#########################################################################
+#  German Transfer of Croatia's Coastline to Hungary
+#########################################################################
+event = {
+	id = 2735
+	random = no
+	country = GER
+
+	name = "German assistance"
+	desc = "Following the end of military operations in Europe, the Axis settled down to split up it's conquests, Hungary, for it's valiant service, would receive the port of Fiume"
+	style = 0
+	picture = "hungarian_tank"
+
+	trigger = {
+                alliance = { country = HUN country = GER }                
+                control = { province = 381 data = GER } 
+	        control = { province = 384 data = GER } 	
+                NOT = {
+                        war = { country = GER country = HUN  }
+                        war = { country = GER country = USA  }
+                        war = { country = GER country = SOV  }
+                        war = { country = GER country = ENG  }
+		}
+	}
+        
+        action_a = {
+		name = "Well, they are our allies...." 
+                command = { type = secedeprovince which = HUN value = 381 }  
+                command = { type = secedeprovince which = HUN value = 384 }
+        }
+}
+#########################################################################
+#  Hungary in Danger
+#########################################################################
+event = {
+	id = 2736
+	random = no
+	country = HUN
+
+	name = "In Danger"
+	desc = "With Soviet forces closing in on Hungary from the east, and the allies from the west, the time had come to make a decision."
+	style = 0
+	picture = "hungarian_tank"
+ 
+		
+        trigger = {
+	        alliance = { country = GER country = HUN }
+		war = { country = GER country = SOV }
+		war = { country = HUN country = SOV }
+		AND = {
+			OR = {
+				control = { province = 497 data = SOV }
+				}
+                        OR = {
+				control = { province = 458 data = ENG }
+				}
+                        OR = {
+				control = { province = 458 data = USA }
+				}
+                        OR = {
+				control = { province = 456 data = ENG }
+				}
+			OR = {
+				control = { province = 456 data = USA }
+				
+				}
+			}
+		random = 10
+		
+        }
+
+        date = { day = 2 month = january year = 1936 }
+	offset = 1 # Check for trigger conditions day
+	deathdate = { day = 30 month = december year = 1947 }
+
+	action_a = {
+		name = "The time has come to negotiate for peace....." 
+                command = { type = dissent value = -5 }                   
+        }
+        action_b = {
+		name = "Do not negotiate yet!"
+                command = { type = manpowerpool value = 20 } #Last Conscript Reserves                
+                command = { type = dissent value = 5 } #War-weariness              
+                command = { type = oilpool value = 500 } #War Reserves              
+                command = { type = supplies value = 500 } #War Reserves 
+                command = { type = sleepevent which = 2737 }
+                command = { type = sleepevent which = 2756 }
+        }	
+}
+#########################################################################
+#  Hungary in Danger - German Reaction
+#########################################################################
+event = {
+	id = 2737
+	random = no
+	country = GER
+
+	name = "In Danger"
+	desc = "With Soviet forces closing in on Hungary from the east, and the allies from the west, the Hungarians are attempting to negotiate a peace! Shall we send Otto Skorzeny and his SS commandos to try and rectify this situation?"
+	style = 0
+	picture = "hungarian_tank"
+
+	#Triggered by HUN 2736
+
+	
+        action_a = {
+		name = "This is unacceptable! Begin Operation Panzerfaust!" 
+                command = { type = trigger which = 2738 }                    
+        }
+        action_b = {
+		name = "Well, good riddance!"
+                command = { type = sleepevent which = 2738 }
+                command = { type = trigger which = 2740 }                
+        }	
+}
+#########################################################################
+#  Hungary in Danger - Skorzeny sent in 
+#########################################################################
+event = {
+	id = 2738
+	random = no
+	country = HUN
+
+	name = "In Danger"
+	desc = "After the Germans found out about Horthy's desire to seek a peace, they sent in Skorzeny with a team of SS troops to kidnap Horthy's son, Nicholas, and threatened to execute him if Horthy continued seeking peace. Skorzeny succeeded in kidnapping Nicholas after a brief shoot-out at Buda Castle. This put Horthy in a situation few have ever had to face, he had to choose between his son or his country."
+	style = 0
+	picture = "hungarian_tank"
+
+	#Triggered by HUN 2737
+
+	action_a = {
+		name = "Horthy chooses his son" 
+                command = { type = trigger which = 2739 }
+                
+        }
+        action_b = {
+		name = "Horthy chooses his country"
+                command = { type = trigger which = 2740 }                
+        }	
+}
+#########################################################################
+#  Hungary in Danger, Horthy gives in 
+#########################################################################
+event = {
+	id = 2739
+	random = no
+	country = HUN
+
+	name = "In Danger"
+	desc = "Horthy had chosen his son, and the Germans kept their word. Both Horthy and his younger son were moved to a castle in Bavaria, to be held there for the duration. In Horthy's place, the Germans appointed the previously-banned Arrow Cross Party, as a government for Hungary."
+	style = 0
+	picture = "hungarian_tank"
+
+        #Triggered by HUN 2738
+        
+       
+        action_a = {
+		name = "Well, at least they're alive..." 
+                command = { type = set_domestic which = democratic value = -2 }
+		command = { type = set_domestic which = political_left value = -2 }
+		command = { type = headofstate which = 21041 }
+		command = { type = headofgovernment which = 21052 }
+		command = { type = foreignminister which = 21067 }
+		command = { type = armamentminister which = 21082 }
+		command = { type = ministerofsecurity which = 21095 }
+		command = { type = ministerofintelligence which = 21116 }
+		command = { type = chiefofstaff which = 21129 }
+		command = { type = chiefofarmy which = 21140 }
+		command = { type = chiefofnavy which = 21151 }
+		command = { type = chiefofair which = 21159 }
+                command = { type = sleepminister which = 21001 }
+                command = { type = sleepminister which = 21009 }
+                command = { type = sleepminister which = 21042 }
+                command = { type = sleepminister which = 21168 }
+                command = { type = dissent value = 1 }
+                command = { type = sleepevent which = 2740 }
+        }
+}		
+#########################################################################
+#  Hungary in Danger, Horthy stays firm
+#########################################################################
+event = {
+	id = 2740
+	random = no
+	country = HUN
+
+	name = "In Danger"
+	desc = "Horthy stays firm, taking Hungary out of the war. The Allies, meanwhile, agree to allow Hungary to leave the war, provided they return all of the reclaimed land and agree to more democratic reforms. Stalin's demands for the Allies to allow Hungary into the Soviet sphere of influence are rebuffed, at the insistance of the British, leaving Hungary as a thorn in the side of the future Iron Curtain."
+	style = 0
+	picture = "hungarian_tank"
+
+        #Triggered by HUN 2738
+        
+        
+        action_a = {
+		name = "Well, at least Hungary still lives" 
+                command = { type = leave_alliance }
+		command = { type = peace which = ENG value = 1 }
+		command = { type = peace which = USA value = 1 }
+		command = { type = peace which = CAN value = 1 }
+		command = { type = peace which = MEX value = 1 }
+		command = { type = peace which = VEN value = 1 }
+		command = { type = peace which = PAN value = 1 }
+		command = { type = peace which = LIB value = 1 }
+		command = { type = peace which = PHI value = 1 }
+		command = { type = peace which = JAP value = 1 }
+		command = { type = peace which = SOV value = 1 }
+                
+		command = { type = peace which = CHI value = 1 }
+		command = { type = peace which = CHC value = 1 }
+		command = { type = peace which = CSX value = 1 }
+		command = { type = peace which = CGX value = 1 }
+		command = { type = peace which = CXB value = 1 }
+		command = { type = peace which = SIK value = 1 }
+		command = { type = peace which = CYN value = 1 }                
+                command = { type = end_trades which = HUN where = GER }
+                command = { type = end_guarantee which = GER where = HUN }
+                command = { type = guarantee which = USA where = HUN }
+                command = { type = guarantee which = ENG where = HUN }
+                command = { type = belligerence which = HUN value = -10 }
+                command = { type = end_access which = GER }
+
+
+                command = { type = secedeprovince which = USA value = 428 }
+		command = { type = secedeprovince which = USA value = 496 }
+		command = { type = secedeprovince which = USA value = 498 } 
+		command = { type = secedeprovince which = USA value = 495 }
+		command = { type = secedeprovince which = USA value = 426 }
+		command = { type = secedeprovince which = USA value = 427 }
+		command = { type = secedeprovince which = USA value = 425 }
+		command = { type = secedeprovince which = USA value = 430 }
+		command = { type = secedeprovince which = USA value = 429 }
+		command = { type = secedeprovince which = USA value = 476 }
+		command = { type = secedeprovince which = USA value = 477 }
+		command = { type = secedeprovince which = USA value = 490 }
+		command = { type = secedeprovince which = USA value = 499 }
+		command = { type = secedeprovince which = USA value = 493 }
+		command = { type = secedeprovince which = USA value = 494 }
+		command = { type = secedeprovince which = USA value = 454 }
+		command = { type = secedeprovince which = USA value = 455 }
+		command = { type = secedeprovince which = USA value = 384 }
+                command = { type = secedeprovince which = USA value = 383 }
+		command = { type = secedeprovince which = USA value = 382 }
+		command = { type = secedeprovince which = USA value = 381 }
+		
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = remove_division which = -1 }
+                command = { type = set_domestic which = democratic value = 8 }
+		command = { type = set_domestic which = political_left value = 1 }
+		command = { type = headofstate which = 21168 }
+		command = { type = headofgovernment which = 21062 }
+		command = { type = foreignminister which = 21077 }
+		command = { type = armamentminister which = 21091 }
+		command = { type = ministerofsecurity which = 21107 }
+		command = { type = ministerofintelligence which = 21123 }
+		command = { type = chiefofstaff which = 21137 }
+		command = { type = chiefofarmy which = 21146 }
+		command = { type = chiefofnavy which = 21156 }
+		command = { type = chiefofair which = 21165 }
+                command = { type = dissent value = -5 }
+                
+        }
+}
+#########################################################################
+#  First Vienna Award
+#########################################################################
+event = {
+	id = 2741
+	random = no
+	country = GER
+
+	name = "First Vienna Award"
+	desc = "With the successful destruction of Czechoslovakia, shall we now give Hungary most of their pre-Trianon lands back? We could trade the land in exchange for access to Hungarian lands during the invasion of Poland, and guarantees that Hungary shall not help Poland."
+	style = 0
+	picture = "CZE_Partition"
+
+	#Triggered by HUN 2500
+
+	
+        action_a = {
+		name = "Yes, let us give it to them" 
+                command = { type = trigger which = 2742 }                    
+        }
+        action_b = {
+		name = "No, we need a strong Slovakian puppet."
+                command = { type = sleepevent which = 2738 } 
+                command = { type = relation which = HUN value = -10 } #Hungarians not pleased...               
+        }	
+}
+#########################################################################
+#  First Vienna Award - Germany agrees
+#########################################################################
+event = {
+	id = 2742
+	random = no
+	country = SLO 
+
+	name = "First Vienna Award"
+	desc = "Germany has said we must give more land to Hungary. We must agree."
+	style = 0
+	picture = "CZE_Partition"
+
+	#Triggered by GER 2741
+
+	
+        action_a = {
+		name = "We must do as the Germans demand" 
+                command = { type = secedeprovince which = HUN value = 490 } #Kosice
+                command = { type = secedeprovince which = HUN value = 477 } #Banksa Bystrica
+                command = { type = removecore which = 490 } 
+                command = { type = removecore which = 477 }
+                command = { type = trigger which = 2743 }
+        }
+}
+#########################################################################
+#  First Vienna Award - Success!
+#########################################################################
+event = {
+	id = 2743
+	random = no
+	country = HUN 
+
+	name = "First Vienna Award"
+	desc = "Germany has forced their puppet to give up the land which is ours. Now, shall we keep our part of the bargain, allowing German troops to use our land as a staging area for Poland, as well as cut off access for Polish refugees to escape from the German invasion?"
+	style = 0
+	picture = "CZE_Partition"
+
+	#Triggered by SLO 2742
+
+	
+          
+        action_a = {
+		name = "Yes, let us comply" 
+                command = { type = sleepevent which = 2745 } 
+                command = { type = access which = GER  } 
+                command = { type = manpowerpool value = 40 } #New Conscripted Manpower                
+                command = { type = money value = 40 } #Loot from new territory, Banks, etc
+                command = { type = supplies value = 500 } #War materials seized 
+                command = { type = relation which = GER value = 10 } #Germans happy
+                command = { type = relation which = POL value = -20 } #Polish mad
+                command = { type = dissent value = -1 } #Everyone Happy                   
+        }
+        action_b = {
+		name = "No, the Poles are our friends"
+                command = { type = manpowerpool value = 40 } #New Conscripted Manpower                
+                command = { type = money value = 40 } #Loot from new territory, Banks, etc
+                command = { type = supplies value = 500 } #War materials seized 
+                command = { type = relation which = GER value = -10 } #Germans mad
+                command = { type = relation which = POL value = 20 } #Polish happy
+                command = { type = dissent value = -1 } #Everyone Happy               
+        }	
+}
+#########################################################################
+#  Ban the National Socialists?
+#########################################################################
+event = {
+	id = 2744
+	random = no
+	country = HUN
+
+	name = "Ban the National Socialists"
+	desc = "There are certain elements within our current Parliament, who are spreading a more radical message than we wish to hear. Shall we arrest the members of the Nyilaskeresztes Párt-Hungarista Mozgalom?"
+	style = 0
+	picture = "hungary"
+
+	trigger = { 
+		NOT = {
+			alliance = { country = HUN country = GER }
+			war = { country = HUN country = GER }
+			}
+		}
+        
+
+        date = { day = 2 month = march year = 1937 }
+	offset = 15 # Check for trigger conditions day
+	deathdate = { day = 30 month = december year = 1939 }
+
+	
+        action_a = {
+		name = "Yes, let us arrest them and ban their party." 
+                command = { type = set_domestic which = democratic value = 1 }
+		command = { type = set_domestic which = political_left value = 1 }
+                command = { type = relation which = GER value = -10 } #Germans not pleased...
+                command = { type = belligerence which = HUN value = -2 } #Seen as less agressive
+                command = { type = dissent value = -1 } #People happy                
+        }
+        action_b = {
+		name = "No, we cannot."
+                command = { type = relation which = GER value = 10 } #Germans happy
+                command = { type = set_domestic which = democratic value = -1 }
+		command = { type = set_domestic which = political_left value = -1 }                
+                command = command = { type = dissent value = 2 } #People unhappy                
+        }	
+}
+#########################################################################
+#  Polish Refugees Travel Through Hungary to France and Beyond
+#########################################################################
+event = {
+	id = 2745
+	random = no
+	country = HUN 
+
+	name = "Polish Refugees"
+	desc = "Despite what we promised Germany, we've decided to let Polish soldiers and civilians flee Poland through our land. Most will keep going to France and Britian, but some will thank us for being so generous"
+	style = 0
+	picture = "War_refugees"
+
+	trigger = { 
+                event = 2743		
+                NOT = {
+			alliance = { country = HUN country = GER }
+			war = { country = HUN country = GER }
+                        exists = POL
+                        
+                        }
+		}
+
+        
+
+	
+        action_a = {
+		name = "We are glad to have been of service....." 
+                command = { type = money value = 10 } #Donated by Polish civilians
+                command = { type = supplies value = 200 } #Military equipment left behind 
+                command = { type = relation which = ENG value = 20 } #English happy, they get Free Polish units
+                command = { type = relation which = FRA value = 20 } #French happy, they get Free Polish units
+                command = { type = trigger which = 2746 }
+                command = { type = trigger which = 2747 }
+                command = { type = trigger which = 2748 }
+        }
+}
+#########################################################################
+#  Free Polish Forces (UK)
+#########################################################################
+event = {
+	id = 2746
+	random = no
+	country = ENG 
+
+	name = "Free Polish Forces"
+	desc = "Since the Hungarians allowed the Polish out of German-occupied Poland, we are getting new recruits and volunteers from the large amounts of ex-Polish soldiers wandering in."
+	style = 0
+	picture = "poland"
+
+	#Triggered by HUN 2745
+
+	
+        action_a = {
+		name = "Lovely." 
+                command = { type = money value = 10 } #Donated by Polish civilians
+                command = { type = supplies value = 200 } #Military equipment brought by Polish
+                command = { type = add_division which = Polish Gov. In Exile value = hq when = 1 }
+                command = { type = add_division which = 1st (Polish) Independent Parachute Brigade value = paratrooper when = 1 }   
+                command = { type = add_division which = No. 303 Polish Fighter Squadron value = interceptor when = 1 }
+                command = { type = add_division which = No. 302 Polish Fighter Squadron value = interceptor when = 0 }
+                command = { type = add_division which = No. 300 Polish Bomber Squadron = tactical_bomber when = 0 }
+ 
+                
+        }
+}
+#########################################################################
+#  Free Polish Forces (France)
+#########################################################################
+event = {
+	id = 2747
+	random = no
+	country = FRA 
+
+	name = "Free Polish Forces"
+	desc = "Since the Hungarians allowed the Polish out of German-occupied Poland, we are getting new recruits and volunteers from the large amounts of ex-Polish soldiers wandering in."
+	style = 0
+	picture = "poland"
+
+	#Triggered by HUN 2745
+
+	
+        action_a = {
+		name = "Lovely." 
+                command = { type = money value = 10 } #Donated by Polish civilians
+                command = { type = supplies value = 200 } #Military equipment brought by Polish
+                command = { type = add_division which = 1st Grenadiers Division value = infantry when = 2 }
+                command = { type = add_division which = Groupe de Chasse polonaise I/145 value = interceptor when = 0 }
+  
+        }
+}
+#########################################################################
+#  Slovakia Annexed
+#########################################################################
+event = {
+	id = 2748
+	random = no
+	country = GER 
+
+	name = "Slovakia Annexed"
+	desc = "Since the Polish campaign is over, we have no more need of Slovakia as a staging ground. Now that Hungary has been awarded it's shares of Slovakia as well, let us just annex it."
+	style = 0
+	picture = "slovakia"
+
+	#Triggered by HUN 2745
+
+	
+        action_a = {
+		name = "Lovely." 
+                command = { type = inherit which = SLO  }
+  
+        }
+}
+#########################################################################
+#  Gyula Gömbös Dies
+#########################################################################
+event = {
+	id = 2749
+	random = no
+	country = HUN
+
+	name = "Gyula Gömbös Dies"
+	desc = "Gyula Gömbös, after a long bout with kidney disease, died of kidney failure in Munich on October 6, 1936. The issue of who would replace him would come to light."
+	style = 0
+	picture = "minister_died"
+
+	trigger = { 
+		
+		headofgovernment = 21002 
+		
+		}
+
+	date = { year = 1936 month = october day = 5 }
+	offset = 1
+	deathdate = { year = 1936 month = november day = 5 }
+	
+        action_a = {
+		name = "Appoint Kálmán Darányi(historical)" 
+                ai_chance = 100                 
+                command = { type = headofgovernment which = 21053 }
+                command = { type = sleepminister which = 21002 }
+                command = { type = sleepminister which = 21006 }  
+                command = { type = sleepleader which = 31133 }              
+        }
+        action_b = {
+		name = "Reserved for future ahistorical option"
+                ai_chance = 0                
+                command = { }                
+        }	
+}
+#########################################################################
+#  Darányi Forced to Resign
+#########################################################################
+event = {
+	id = 2760
+	random = no
+	country = HUN
+
+	name = "Darányi Resigns"
+	desc = "Kálmán Darányi historically resigned his position as Prime Minister of Hungary in May of 1938, at the request of the Regent Miklos Horthy. Darányi had long been a supporter of a pro-German/Italian course of action in diplomaic affairs and had been a chief financial backer of the army. Before resigning, he also dismissed Finance Minister Tihamer Fabinyi, replacing him with Lajos Remenyi-Schneller."
+	style = 0
+	picture = "minister_resign"
+
+	trigger = { 
+		
+		headofgovernment = 21053 
+		
+		}
+
+	date = { year = 1938 month = may day = 12 }
+	offset = 1
+	deathdate = { year = 1938 month = may day = 20 }
+	
+        action_a = {
+		name = "Appoint Béla Imrédy(historical)" 
+                ai_chance = 100                 
+                command = { type = headofgovernment which = 21054 }
+                command = { type = armamentminister which = 21084 }
+                                
+        }
+        action_b = {
+		name = "Reserved for future ahistorical option"
+                ai_chance = 0                
+                command = { }                 
+        }	
+}
+#########################################################################
+#  Béla Imrédy Forced to Resign
+#########################################################################
+event = {
+	id = 2761
+	random = no
+	country = HUN
+
+	name = "Imrédy Resigns"
+	desc = "Béla Imrédy historically resigned his position as Prime Minister of Hungary on February, 13, 1939. Imrédy’s moderate political opponents, angered at his growing catering to Germany and Hungary’s right wing, presented evidence to Regent Horthy that suggested Imrédy had Jewish ancestors. When Horthy confronted Imrédy with the evidence, Imrédy immediately resigned."
+	style = 0
+	picture = "minister_resign"
+
+	trigger = { 
+		
+		headofgovernment = 21054 
+		
+		}
+
+	date = { year = 1939 month = february day = 12 }
+	offset = 1
+	deathdate = { year = 1939 month = may day = 20 }
+	
+        action_a = {
+		name = "Appoint Pál Teleki(historical)" 
+                ai_chance = 100                 
+                command = { type = headofgovernment which = 21055 }
+                                
+        }
+        action_b = {
+		name = "Reserved for future ahistorical option"
+                ai_chance = 0                
+                command = { }                
+        }	
+}
+#########################################################################
+#  Pál Teleki's suicide
+#########################################################################
+event = {
+	id = 2752
+	random = no
+	country = HUN 
+
+	name = "Teleki's Suicide"
+	desc = "Following the invasion of Yugoslavia by Hungary, the Prime Minister, Pál Teleki, committed suicide to protest this course of action, which in his opinion, would lead only to disaster."
+	style = 0
+	picture = "minister_died"
+
+	trigger = { 
+		event = 2753
+		headofgovernment = 21055 
+		
+		}
+
+	date = { year = 1941 month = april day = 2 }
+	offset = 1
+	deathdate = { year = 1941 month = may day = 20 }
+
+	
+        action_a = {
+		name = "Appoint László Bárdossy(historical)" 
+                ai_chance = 100                 
+                command = { type = headofgovernment which = 21056 }
+                command = { type = sleepminister which = 21055 }
+                command = { type = sleepminister which = 21099 }
+                command = { type = sleepminister which = 21176 } 
+  
+        }
+        action_b = {
+		name = "Reserved for future ahistorical option"
+                ai_chance = 0                
+                command = { }                
+        }	
+}
+#########################################################################
+#  Hungary at War
+#########################################################################
+event = {
+	id = 2753
+	random = no
+	country = HUN 
+
+	name = "Hungary at war"
+	desc = "We have now declared war on Yugoslavia, and have entered this debacle. The British have submitted their disapproval and add that they now consider Hungary to be in the Axis camp."
+	style = 0
+	picture = "yougoslavian" #Typo by Paradox
+
+	#Triggered by HUN 2727
+
+	
+        action_a = {
+		name = "I have a feeling this will come back to haunt us....." 
+                command = { }
+  
+        }
+}
+#########################################################################
+#  László Bárdossy Forced to Resign
+#########################################################################
+event = {
+	id = 2754
+	random = no
+	country = HUN
+
+	name = "László Bárdossy Resigns"
+	desc = "László Bárdossy historically resigned his position as Prime Minister of Hungary on March, 7, 1942. Regent Horthy asked him to resign due to his growing catering to Germany, his declaration of war on the Soviet Union without the permission of Parliament, and his right-wing tendancies in general."
+	style = 0
+	picture = "minister_resign"
+
+	trigger = { 
+		
+		headofgovernment = 21056 
+		
+		}
+
+	date = { year = 1942 month = march day = 6 }
+	offset = 1
+	deathdate = { year = 1942 month = may day = 20 }
+	
+        action_a = {
+		name = "Appoint Miklós Kállay(historical)" 
+                ai_chance = 100                 
+                command = { type = headofgovernment which = 21057 }
+                                
+        }
+        action_b = {
+		name = "Reserved for future ahistorical option"
+                ai_chance = 0                
+                command = { }                
+        }	
+}
+#########################################################################
+#  Miklós Kállay Forced to Flee
+#########################################################################
+event = {
+	id = 2755
+	random = no
+	country = HUN
+
+	name = "Miklós Kállay Flees"
+	desc = "Miklós Kállay historically fled from his position as Prime Minister of Hungary in March of 1944. The Germans, unhappy with Kállay's reversal of policy made by previous pro-German Prime Ministers, have occupied the country with troops, but are still allowing limited autonomy. The Germans have bypassed Regent Horthy's authority to appoint the Prime Minister, and appointed Döme Sztójay as the new Prime Minister."
+	style = 0
+	picture = "german_marginal_victory2"
+
+	trigger = { 
+		event = 2736
+		headofgovernment = 21057 
+		
+		}
+
+	date = { year = 1942 month = march day = 6 }
+	offset = 1
+	deathdate = { year = 1946 month = may day = 20 }
+	
+        action_a = {
+		name = "The Germans appoint Döme Sztójay and we do something about it(historical)" 
+                ai_chance = 100                  
+                command = { type = headofgovernment which = 21051 }
+                command = { type = trigger which = 2756 }
+                                
+        }
+        action_b = {
+		name = "Reserved for future ahistorical option"
+                ai_chance = 0                
+                command = { }                
+        }	
+}
+#########################################################################
+#  Coup of Regent Horthy and Géza Lakatos
+#########################################################################
+event = {
+	id = 2756
+	random = no
+	country = HUN
+
+	name = "Coup"
+	desc = "Historically, supporters of Regent Horthy and Géza Lakatos launched a limited coup against the German appointed government in August of 1944. With a handful of soldiers and one tank, the supporters managed to arrest Sztójay and remove the German appointed government. With some power restored, Horthy attempted to negotiate with the allies, take Hungary out of the war and remove the Germans completely. It was then that disaster struck..."
+	style = 0
+	picture = "coup"
+
+	trigger = { 
+		
+		headofgovernment = 21051 
+		
+		}
+
+	date = { year = 1942 month = august day = 27 }
+	offset = 1
+	deathdate = { year = 1946 month = may day = 20 }
+	
+        action_a = {
+		name = "Géza Lakatos is now the Prime Minister" 
+                command = { type = headofgovernment which = 21058 }
+                command = { type = trigger which = 2737 }
+                                
+        
+        }
+}
+#########################################################################
+#  Hungary Annexed (by Soviets), Puppet Government
+#########################################################################
+event = {
+	id = 2757
+	random = no
+	country = SOV
+
+	name = "Hungary Annexed"
+	desc = "Budapest has been occupied by the Soviets, and it has been decided that Hungary would fall into the Soviet sphere of influence. The leaders of the national socialist faction have been sentenced to death and shot by the new "People's Courts" as well as numerous army generals convicted of warcrimes, Horthy and a few others manage to escape with their lives. The new government has arrived from Moscow, and a process of nationalization has begun. See you on the collective farm...."
+	style = 0
+	picture = "soviet_strategic_victory"
+
+	trigger = {
+		
+		control = { province = 457 data = SOV } #Budapest
+		control = { province = 491 data = SOV } #Miskolc
+		control = { province = 497 data = SOV } #Debrecen
+                NOT = {
+			exists = HUN
+
+		}
+	}
+	
+	
+
+	date = { year = 1944 month = august day = 30 }
+	offset = 1
+	deathdate = { year = 1950 month = may day = 20 }
+	
+        action_a = {
+		name = "The curtain grows" 
+                command = { type = independence which = HUN value = 0 when = 0 }
+                command = { type = make_puppet which = HUN }                
+                command = { type = trigger which = 2759 }
+                                
+        
+        }
+}
+#########################################################################
+#  Hungary Annexed (by Allies), New Government Installed
+#########################################################################
+event = {
+	id = 2758
+	random = no
+	country = USA
+
+	name = "Hungary Liberated"
+	desc = "With Budapest secured by the Allies, the work of rebuilding has begun. After a brief period of occupation, the Hungarian nation was reborn. Although the Allies insisted on the permanent abandonment of the monarchy and the claims on the pre-Trianon land, at least Hungary is not part of the Soviet sphere."
+	style = 0
+	picture = "american_reinforcments7"
+
+	trigger = {
+		
+		control = { province = 456 data = USA } #Györ
+		control = { province = 457 data = USA } #Budapest
+		control = { province = 458 data = USA } #Pécs
+                OR = {
+				control = { province = 456 data = ENG } #Györ
+		                control = { province = 457 data = ENG } #Budapest
+		                control = { province = 458 data = ENG } #Pécs
+			}
+		NOT = {
+			exists = HUN
+
+			
+		}
+	}
+	
+
+	date = { year = 1945 month = august day = 27 }
+	offset = 1
+	deathdate = { year = 1950 month = may day = 20 }
+	
+        action_a = {
+		name = "One more link in the fence to contain communism" 
+                command = { type = independence which = HUN value = 0 when = 0 }
+                command = { type = trigger which = 2763 }
+                                
+        
+        }
+}
+#########################################################################
+#  Hungarian Government (Sov. Puppet)
+#########################################################################
+#event = {
+#	id = 2759
+#	random = no
+#	country = HUN
+#
+#	name = "Soviet Occupation"
+#	desc = "After the occupation of Hungary by the Soviets, this is the government they have imposed."
+#        style = 0
+#	picture = "soviet_strategic_victory"
+#
+#        #Triggered by SOV 2757
+#
+#	date = { year = 1936 month = august day = 27 }
+#	offset = 1
+#	deathdate = { year = 1950 month = may day = 20 }
+#	
+#        action_a = {
+#		name = "We can't complain, they conquered us" 
+#                command = { type = headofstate which = 21050 }
+#		command = { type = headofgovernment which = 21065 }
+#		command = { type = foreignminister which = 21080 }
+#		command = { type = armamentminister which = 21093 }
+#		command = { type = ministerofsecurity which = 21112 }
+#		command = { type = ministerofintelligence which = 21126 }
+#		command = { type = chiefofstaff which = 21138 }
+#		command = { type = chiefofarmy which = 21157 }
+#		command = { type = chiefofnavy which = 21157 }
+#		command = { type = chiefofair which = 21167 }
+#                
+#                                
+#        
+#        }
+#}
+#########################################################################
+#  Hungarian Government (Allied)
+#########################################################################
+#event = {
+#	id = 2763
+#	random = no
+#	country = HUN
+#
+#	name = "Allied Occupation"
+#	desc = "After the liberation of Hungary by the Allies, this is the government we get."
+#        style = 0
+#	picture = "american_reinforcments7"
+#
+#        #Triggered by USA 2758
+#
+#	date = { year = 1936 month = august day = 27 }
+#	offset = 1
+#	deathdate = { year = 1950 month = may day = 20 }
+#	
+#        action_a = {
+#		name = "We can't complain, they conquered us" 
+#                command = { type = headofstate which = 21045 }
+#		command = { type = headofgovernment which = 21061 }
+#		command = { type = foreignminister which = 21078 }
+#		command = { type = armamentminister which = 21089 }
+#		command = { type = ministerofsecurity which = 21107 }
+#		command = { type = ministerofintelligence which = 21123 }
+#		command = { type = chiefofstaff which = 21137 }
+#		command = { type = chiefofarmy which = 21147 }
+#		command = { type = chiefofnavy which = 21155 }
+#		command = { type = chiefofair which = 21165 }
+#                
+#                                
+#        
+#        }
+#}
